Package Details: bustle-git 0.6.2.r7.g7f663b6-1

Git Clone URL: https://aur.archlinux.org/bustle-git.git (read-only, click to copy)
Package Base: bustle-git
Description: A dbus profiler
Upstream URL: https://www.freedesktop.org/wiki/Software/Bustle/
Licenses: GPLv3
Conflicts: bustle
Provides: bustle
Submitter: codyps
Maintainer: codyps
Last Packager: codyps
Votes: 1
Popularity: 0.000000
First Submitted: 2016-06-29 18:52
Last Updated: 2018-05-12 23:56

Latest Comments

pioneer commented on 2020-01-03 15:56

Getting a build error, please see below (maybe dependencies are outdated):

Building haskell-hgettext...
==> Making package: haskell-hgettext 0.1.31.0-0 (Птн 03 янв 2020 17:55:07)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found hgettext-0.1.31.0.tar.gz
==> Validating source files with md5sums...
    hgettext-0.1.31.0.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting hgettext-0.1.31.0.tar.gz with bsdtar
==> Starting prepare()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
Configuring hgettext-0.1.31.0...
Setup: Encountered missing dependencies:
Cabal >=1.14 && <1.25 || ==2.0.*,
base >=4.5 && <4.11,
containers >=0.4.2 && <0.6,
haskell-src-exts >=1.18 && <1.21

==> ERROR: A failure occurred in build().
    Aborting...

rafaelff commented on 2018-06-20 23:33

Freedesktop migrated to GitLab, new URL: https://gitlab.freedesktop.org/bustle/bustle (current one isn't broken, though)

codyps commented on 2018-06-20 20:41

 saimen flagged bustle-git out-of-date on 2018-06-20 for the following reason:

    Current version is 0.7.1

Hi @saimen,

This is a live package. As a result, it's pkgver is recalculated automatically when it is built.

The version in aur does get bumped when I push a new version to fix a packaging or other issue with the PKGBUILD, but generally I don't push changes just to bump the version shown in AUR.

Please let me know if there is any problem building the package, and feel free to mark it out of date if the package no longer builds due to upstream changes.